jQuery(document).ready(function(){
	// FORMCHANGED Ini
	y42bVar_EntraFunNumCheck = false;
	y42bVar_FormChanged = false;
	waitDialog();
	$(document).ajaxStop(function() {
		y42b_FunFormChanged();
		waitDialogStop();
	});
	// FORMCHANGED Fin
	
	
	
	//FIXME Migracion UDA V.2.4.4 (201504) - Se resetea "tab_entidad", relacionado con lo comentado en Y42bEntidades.js
	$('#tab_entidad').html("");
	
	y42bFunContacto_PintarComboPais();
	y42bFunContacto_PintarComboProvincia();
	y42bFunContacto_PintarComboMunicipio();
	y42bFunContacto_PintarComboLocalidad();
	y42bPintarComboPortalVacio();
	$("#y42bContactoPiso").val($("#isCompleDirec").val());
	
	//RADIO BUTTONS Estado - Extranjero ...
	$("#y42bContactoEstado").click(function (){
		y42bContacto_ResetearComboPais();
		y42bContacto_eventoClickEstado();
		y42bFunContacto_PintarComboProvincia();
		y42bFunContacto_PintarComboMunicipio();
		y42bFunContacto_PintarComboLocalidad();
		y42bPintarComboPortalVacio();
	});
			   
	$("#y42bContactoExtranjero").click(function (){
		y42bContacto_ResetearComboProvincia();
		y42bContacto_ResetearComboMunicipio();
		y42bContacto_ResetearComboLocalidad();
		y42bContacto_eventoClickExtranjero();
		y42bFunContacto_PintarComboPais();
	});
	
	//obtener municipio y localidad a partir del CP
	$("#y42bContactoBotonCP").click(function () {
		var codPostal = $("#y42bContactoComboCP").val();
		if (codPostal!=""){
			$.ajax({
				type : "GET",
				url : "/y42bVistaWar/nora/codigo_postal/obtenerprovmun/" + codPostal + "?R01HNoPortal=true",
				dataType : "json",
				error : function(jqXHR, textStatus, errorThrown) {

				},
				success : function(data, textStatus, jqXHR) {
					$("#y42bContactoComboProvincia").rup_combo("setRupValue",data.provinciaId);
					y42bElementosVisibles(data.provinciaId);
					$("#y42bContactoComboMunicipio").rup_combo("setRupValue",data.municipioId);
					y42bLimpiarBusquedaCalle();
					y42bLimpiarPortal();
					$("#y42bContactoCalleLupa").css("display", "inline");
					$("#y42bContactoCallePapelera").css("display", "inline");
				}
			});
		}
	});
	
	//Lupa Calle - abre modal 
	$("#y42bContactoCalleLupa").click(function () {
		y42bVarCalleModal = "y42bContacto";
		$("#y42bEntidadDivCalle").rup_dialog("destroy");
		$("#y42bEntidadDivCalle").rup_dialog({
			modal: true,
			autoOpen: true,
			width: "850",
			height: "auto",
			position: "top",
			title: $.rup.i18n.app.y42bTitlesModalesNora.busquedaCalle,
			close: function(event, ui) {
				$("#y42bEntidadDivCalle").rup_dialog("destroy");
			},
			url: "/y42bVistaWar/nora/maintBusquedaCalle",  
			type:$.rup.dialog.AJAX
		});		
	});
	
	//papelera
	$("#y42bContactoCallePapelera").click(function () {
		y42bLimpiarBusquedaCalle();
		y42bVar_FormChanged = true;
	});
	
	var $tabs = $('#mantenimiento_tabs').tabs();
	$tabs.tabs('enable', 2);
	$tabs.tabs('select', 2); 
	$tabs.tabs('disable', 0);
	$tabs.tabs('disable', 1);
	
	var props={
			type:"ok",
			delay:800,
			goTop:false,
			block:false,
			closeLink:true
			
	};
	$("#contactos_avisos").rup_feedback(props);
	if ($("#isForeigner").val()=="S" && $("#contacto_countryId").val()!="108"){
		$("#y42bContactoEstado").attr("checked" , false);
		$("#y42bContactoExtranjero").attr("checked" , true);
		y42bContacto_eventoClickExtranjero();	
		$("#y42bContactoExtComboCP").val($("#isCP").val());
		if ($("#contacto_countryId").val()!="" && $("#contacto_countryId").val()!=null){
			$("#y42bContactoComboPais").rup_combo("setRupValue",$("#contacto_countryId").val());
		}else{
			$("#y42bContactoComboPais").rup_combo("select", "");
		}
		if ($("#isDirExt").val()!="" && $("#isDirExt").val()!=null){
			$("#y42bContactoDireccionExtranjero").val($("#isDirExt").val());
		}else{
			$("#y42bContactoDireccionExtranjero").val("");
		}
	}else{
		$("#y42bContactoEstado").attr("checked" , true);
		$("#y42bContactoExtranjero").attr("checked" , false);
		y42bContacto_eventoClickEstado();	
		y42bElementosVisibles($("#contacto_provinceId").val());
		$("#y42bContactoComboCP").val($("#isCP").val());
		
		if ($("#contacto_provinceId").val()!="" && $("#contacto_provinceId").val()!=null){
			$("#y42bContactoComboProvincia").rup_combo("setRupValue",$("#contacto_provinceId").val());
		}else{
			$("#y42bContactoComboProvincia").rup_combo("select", "");
		}
		
		if ($("#contacto_municipalityId").val()!="" && $("#contacto_municipalityId").val()!=null){
			$("#y42bContactoComboMunicipio").rup_combo("setRupValue",$("#contacto_municipalityId").val());
		}else{
			$("#y42bContactoComboMunicipio").rup_combo("select", "");
		}
		
		if ($("contacto_localityId").val()!="" && $("#contacto_localityId").val()!=null){
			$("#y42bContactoComboLocalidad").rup_combo("setRupValue",$("#contacto_localityId").val());
		}else{
			$("#y42bContactoComboLocalidad").rup_combo("select", "");
		}
		if ($("#isDirExt").val()=="" ||$("#isDirExt").val()== null){
            $("#y42bContactoDireccion").val("");
            $("#y42bContactoCalleCod").val("");
            $("#y42bContactoCalleIdName").val("");

            y42bPintarComboPortalVacio();
		}else{
            $("#y42bContactoDireccion").val($("#isDirExt").val());
            $("#y42bContactoCalleCod").val($("#contacto_addressId").val());
            $("#y42bContactoCalleIdName").val($("#isDirExt").val());
            y42bFuncCargarComboPortalCon($("contacto_localityId").val() ,$("#contacto_addressId").val());
			if ($("#isPortalId").val()!="" && $("#isPortalId").val()!=null){
				$("#y42bContactoComboPortal").rup_combo("setRupValue",$("#isPortalId").val());
				$("#nombrePortal").val($("#isPortal").val());
			}else{
				$("#y42bContactoComboPortal").rup_combo("setRupValue","");
				$("#nombrePortal").val("");
			}
		}
	}
	$("#bt_guardar_contacto").click(function () {
		var arrMensajes = new Array();
		var contador = 0;
		//Copiar
		$("#contactoId").val($("#contacto_contactoId").val());
		$("#entidadId").val($("#contacto_entidadId").val());
		$("#nombre").val($("#contacto_nombre").val());
		$("#cargo").val($("#contacto_cargo").val());
		$("#telefono").val($("#contacto_telefono").val());
		$("#fax").val($("#contacto_fax").val());
		$("#email").val($("#contacto_email").val());
		$("#url").val($("#contacto_url").val());
		//UNA U OTRA --- COMPLETAR
		if ($("#y42bContactoExtranjero").attr("checked")=="checked"){
			//Internacional
			$("#c_isnacional").val("N");
			$("#noraPaisId").val($("#y42bContactoComboPais").val());
			$("#nombrePais").val( $('#y42bContactoComboPais option:selected').html());
			$("#nombreLocalidad").val("");			
			$("#noraCalleId").val("");
			$("#nombreCalle").val($("#y42bContactoDireccionExtranjero").val());
			$("#noraProvinciaId").val("");	
			$("#nombreProvincia").val("");			
			$("#noraMunicipioId").val("");
			$("#nombreMunicipio").val("");		
			$("#noraLocalidadId").val("");
			$("#nombrePortal").val("");
			$("#noraPortalId").val("");			
			$("#nombreCp").val($("#y42bContactoExtComboCP").val());			
			$("#noraCpId").val($("#y42bContactoExtComboCP").val());
		}else{
			//Nacional o CAPV
			$("#c_isnacional").val("S");
			$("#noraPaisId").val($("#y42bContactoComboPais").val());
			$("#nombrePais").val( $('#y42bContactoComboPais option:selected').html());
			$("#noraProvinciaId").val($("#y42bContactoComboProvincia").val());
			$("#nombreProvincia").val( $('#y42bContactoComboProvincia option:selected').html());
			$("#noraMunicipioId").val($("#y42bContactoComboMunicipio").val());
			$("#nombreMunicipio").val( $('#y42bContactoComboMunicipio option:selected').html());
			$("#noraLocalidadId").val($("#y42bContactoComboLocalidad").val());
			$("#nombreLocalidad").val( $('#y42bContactoComboLocalidad option:selected').html());
			if($("#y42bContactoComboProvincia").val() == "20" || $("#y42bContactoComboProvincia").val() == "48" || $("#y42bContactoComboProvincia").val() == "01"){
				$("#noraCalleId").val($("#y42bContactoCalleCod").val());
				$("#nombreCalle").val($("#y42bContactoCalleIdName").val());
				if($("#y42bContactoComboPortal").val() != ""){
					$("#noraPortalId").val($("#y42bContactoComboPortal").val());
					$("#nombrePortal").val($('#y42bContactoComboPortal option:selected').html());
				}				
				$("#compleDirec").val($("#y42bContactoPiso").val());
			}else{
				$("#nombreCalle").val($("#y42bContactoDireccion").val());
			}
			/* Se usa el id del autocomplete generado por uda */
			$("#nombreCp").val($("#y42bContactoComboCP").val());			
			/* Se usa el id del autocomplete generado por uda */
			$("#noraCpId").val($("#y42bContactoComboCP").val());
		}
		//Validacion Ini
		if ($("#c_isnacional").val()=="S"){
			if ($("#y42bContactoComboProvincia").val()=="" || $("#y42bContactoComboProvincia").val()==null || $("#y42bContactoComboProvincia").val()=="0"){
				arrMensajes[contador] = $.rup.i18n.app.msg.noraprovincia_obligatorio;
				contador = contador +1;
			}
			if ($("#y42bContactoComboMunicipio").val()=="" || $("#y42bContactoComboMunicipio").val()==null || $("#y42bContactoComboMunicipio").val()=="0"){
				arrMensajes[contador] = $.rup.i18n.app.msg.noramunicipio_obligatorio;
				contador = contador +1;
			}
			
			if($("#y42bContactoComboProvincia").val() == "20" || $("#y42bContactoComboProvincia").val() == "48" || $("#y42bContactoComboProvincia").val() == "01"){
			
				if ($("#y42bContactoCalleIdName").val() ==""){
					arrMensajes[contador] = $.rup.i18n.app.msg.requiredCalle;
					contador = contador +1;
				}
			}
		}else{
			if ($("#y42bContactoComboPais").val()=="" || $("#y42bContactoComboPais").val()==null || $("#y42bContactoComboPais").val()=="0"){
				arrMensajes[contador] = $.rup.i18n.app.msg.norapais_obligatorio;
				contador = contador +1;
			}
			if ( $("#y42bContactoDireccionExtranjero").val() ==""){
				arrMensajes[contador] = $.rup.i18n.app.msg.requiredDireccion;
				contador = contador +1;
			}
		}
		
		if ($("#contacto_entidadIdList").val()=="" && $("#contacto_contactoId").val()!=0){
			arrMensajes[contador] = $.rup.i18n.app.msg.requiredArbolEntidades;
			contador = contador +1;
		}
		
		//Validacion Fin
		
		var contacto = form2object("editarContacto", ".", false);
	 	var bValidarDatos=validateBean("Contacto", contacto, "","contactos_avisos",arrMensajes);
		contacto = form2object("editarContacto", ".", true);
	 	if (bValidarDatos){
	 		if ($("#contacto_contactoId").val()==0){
		 		var jqxhr = $.ajax({
				type : 'POST',
				//FIXME Migracion UDA V.2.4.4 (201504) - Se cambia la url para que funcione
				//url : "../contactos/guardar",
				url : "../contactos",
				dataType : "json",
				data : $.toJSON(contacto),
				contentType : 'application/json',
				error: function (jqXHR, textStatus, errorThrown){
					switch(jqXHR.status){
					case 406:
						$("#contactos_avisos").rup_feedback("option", "delay",null);
						$("#contactos_avisos").rup_feedback("set",jqXHR.responseText, "error");
						break;
					default:
						$("#contactos_avisos").rup_feedback("option", "delay",null);
						$("#contactos_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
						break;			
					}
				},
				success : function(data) {
						$("#contactos_avisos").rup_feedback("option", "delay",800);
						$("#contactos_avisos").rup_feedback("set", "ok", "ok");
						loadEntidadSession();	
				}
			});
		 	}else{
		 		
		 		var jqxhr = $.ajax({
					type : 'PUT',
					url : "../contactos"+ "/"+ $("#contactoEtiquetasIdList").val()+ "/"+ $("#contacto_entidadIdList").val(),
					dataType : "json",
					data : $.toJSON(contacto),
					contentType : 'application/json',
					error: function (jqXHR, textStatus, errorThrown){
						switch(jqXHR.status){					
						case 406:
							$("#contactos_avisos").rup_feedback("option", "delay",null);
							$("#contactos_avisos").rup_feedback("set",jqXHR.responseText, "error");
							break;					
						default:
							$("#contactos_avisos").rup_feedback("option", "delay",null);
							$("#contactos_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
							break;					
						}
					},
					success : function(data) {
							$("#contactos_avisos").rup_feedback("option", "delay",800);
							$("#contactos_avisos").rup_feedback("set", "ok", "ok");							
							loadEntidadSession();
					}
				});
		 	}	
 		}
	});
	
	$("#bt_cancelar_contacto").click(function () {
//		if (y42bMantIdSeleccionado!="null"){
//			location.href = "/y42bVistaWar/mant/vista";	
//		}else{
//			var contactoId = $("#contactoId").val();
//			loadEntidadSession();
//		}

		// FORMCHANGED Ini
		if (y42bVar_FormChanged) {
			$.rup_messages("msgConfirm",{
				 title:$.rup.i18n.app.comun.confirmacion,
				 message: $.rup.i18n.app.comun.confirmacionperdidadatos,
				 OKFunction : function () {
					 loadEntidadSession();
				 }
			}); 
		}else {
			loadEntidadSession();
		}
		// FORMCHANGED Fin
		
		
	});
	
	$("#entity_tree").dynatree({
		initAjax: {
			url: "../contactos/entityTree" + "/" + $("#contacto_contactoId").val(),
			data: { mode: "funnyMode" }
		},
		activeVisible: true, // Make sure, active nodes are visible (expanded).
		checkbox: true, // Show checkboxes.
		selectMode: 2, // 1:single, 2:multi, 3:multi-hier
		expand: false,
		onClick: function(node, event) {
			// We should not toggle, if target was "checkbox", because this
			// would result in double-toggle (i.e. no toggle)
			if( node.getEventTargetType(event) == "title" ) {
				node.toggleSelect();
			}
		},
		onSelect: function(select, node) {
			// Display list of selected nodes
			var selNodes = node.tree.getSelectedNodes();
			// convert to key array
			var keyList = $.map(selNodes, function(node){
				return node.data.key;
			});
			$("#contacto_entidadIdList").val(keyList);
			var contacto_id=$("#contacto_contactoId").val();
			

			y42bVar_FormChanged = true;
			
//			if (contacto_id!="0"){
//				saveNodeEntidades(select, node);
//			}
			
		},
		onCreate:function(node) {
			node.expand(false);
			// Display list of selected nodes
			var selNodes = node.tree.getSelectedNodes();
			// convert to key array
			var keyList = $.map(selNodes, function(node){
				return node.data.key;
			});
			$("#contacto_entidadIdList").val(keyList);
			
			
        },
		// The following options are only required, if we have more than one tree on one page:
		cookieId: "entity_list_dynatree",
		idPrefix: "entity_list_dynatree"
	});
	
	//botones contraer y expandir arbol 
	$("#y42bentity_tree_expandir").click(function () {
		$("#entity_tree").dynatree("getRoot").visit(function(node){
			 node.expand(true);
		});
		return false;
	}); 

	$("#y42bentity_tree_contraer").click(function () {
		$("#entity_tree").dynatree("getRoot").visit(function(node){
			 node.expand(false);
		});
		return false;
	}); 
	
	
	
	
	if (y42bContactos_UsuarioTipoAcceso != $("#y42bContactos_CteTipoAcceso_Administrador").val()){
		y42bContactosSoloConsulta();
	}
});

//Al clicar en eliminar contacto
$("#bt_eliminar_contacto").click(function () {
	$.rup_messages("msgConfirm",{
		   title:$.rup.i18n.app.msg.confirmacion,
		   message: $.rup.i18n.app.msg.confirmacioneliminarcont,
		   OKFunction : function () {
			var contactoId = $("#contacto_contactoId").val();
			var entidadId = $("#contacto_entidadId").val();
			eliminarContacto(contactoId,entidadId);
			}
	});	
});

function eliminarContacto(contactoId,entidadId){
	var url = "/y42bVistaWar/contactos/" + contactoId+"?entidadId="+entidadId;	
	$.ajax({
	    type: "DELETE",
	    url: url,
	    error: function (jqXHR, textStatus, errorThrown){
	    	switch(jqXHR.status){
			case 406:
				$("#entidades_avisos").rup_feedback("option", "delay",null);
				$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorGrupoTieneHijos, "error");
				break;			
			default:
				$("#entidades_avisos").rup_feedback("option", "delay",null);
				$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
				break;
			}
		},
	    success: function(msg){
	    	loadEntidadSession();
	    }
	});
}

function loadEntidadSession(){
	var tree = $("#tree_ajaxlive").dynatree("getTree");
	var nodeActive = tree.getActiveNode();
	var nodeActiveHidden=$("#nodeSelected").val();
	var url="/y42bVistaWar/entidad/node?nodeId=" + escape(nodeActiveHidden);
	$('#tab_entidad').load(url);
}
function saveNodeEntidades(flag, node){
	var urlSELECT="";
	var keyEntidad=node.data.key;
	var contacto_id=$("#contacto_contactoId").val();
	if (flag){
		urlSELECT = "/y42bVistaWar/entidad/bindEntidadContacto";
	}else{
		urlSELECT = "/y42bVistaWar/entidad/unbindEntidadContacto";
	}
	var dataParam="entidadId=" + keyEntidad + "&contactoContactoId=" + contacto_id;
	$.ajax({
		type : 'POST',
		url : urlSELECT,
		data: dataParam,
	    error: function (jqXHR, textStatus, errorThrown){
				$("#contactos_avisos").rup_feedback("option", "delay",null);
				$("#contactos_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorEntidadContacto, "error");
		},
		success : function(data, textStatus, jqXHR) {
				var tree = $("#tree_ajaxlive").dynatree("getTree");
		    	tree.reload();			
		}
	});
}

$("#y42bContactosMAIL").click(function () {
	 var email = $("#contacto_email").val();
	 email = email.toLowerCase();
	 if (email ==""){
		 	$("#contactos_avisos").rup_feedback("option", "delay",null);
			$("#contactos_avisos").rup_feedback("set",$.rup.i18n.app.msg.emailVacio, "warning");
	 }else{
		 var emailCorrecto = y42bValidarEmail(email); 
		 if (emailCorrecto){
			 var mailto_link = "mailto:"+ email;
			 window.location.href = mailto_link;
		 }else{
			 	$("#contactos_avisos").rup_feedback("option", "delay",null);
				$("#contactos_avisos").rup_feedback("set",$.rup.i18n.app.msg.emailInvalido, "warning");
		 }
	 }
});

$("#y42bContactosURL").click(function () {
	 var url = $("#contacto_url").val();
	 if (url ==""){
		 	$("#contactos_avisos").rup_feedback("option", "delay",null);
			$("#contactos_avisos").rup_feedback("set",$.rup.i18n.app.msg.urlVacia, "warning");
	 }else{
		 var urlCorrecta = y42bValidarURL(url); 
		 if (urlCorrecta){
			 y42bAbrirVentana(url);
		 }else{
			 	$("#contactos_avisos").rup_feedback("option", "delay",null);
				$("#contactos_avisos").rup_feedback("set",$.rup.i18n.app.msg.urlInvalida, "warning");
		 }
	 }
});

//-----------------------------------------------------------------------------------------------------------------------------------------------//
//---- NORA NEW ---------------------------------------------------------------------------------------------------------------------------------//
//-----------------------------------------------------------------------------------------------------------------------------------------------//
function y42bContacto_eventoClickEstado(){
	$("#y42bContactoExtranjeroNo").css("display", "block");
	$("#y42bContactoExtranjeroSi").css("display", "none");
}

function y42bContacto_eventoClickExtranjero(){
	$("#y42bContactoExtranjeroNo").css("display", "none");
	$("#y42bContactoExtranjeroSi").css("display", "block");
}

/* COMBO PAIS ------------------------------------------------------------------- */
function y42bContacto_ResetearComboPais(){
	$("#y42bContactoComboPais-button").remove();
	$("#y42bContactoComboPais-menu").remove();
	$('<select id="y42bContactoComboPais" name="entnoraPaisId"></select>').replaceAll("#y42bContactoComboPais");
}
	
function y42bFunContacto_PintarComboPais(){
	y42bContacto_ResetearComboPais();
	$("#y42bContactoComboPais").rup_combo({
		blank : "",
		width:"300",
		source : "/y42bVistaWar/nora/paisesExtranjeros",
		sourceParam : {
			label : "dsO",
			value : "id"
		}
	});	
}

/* Combo provincia NORA */
function y42bContacto_ResetearComboProvincia(){
	$("#y42bContactoComboProvincia-button").remove();
	$("#y42bContactoComboProvincia-menu").remove();
	$('<select id="y42bContactoComboProvincia" name="provinciaId"></select>').replaceAll("#y42bContactoComboProvincia");
}

function y42bFunContacto_PintarComboProvincia(){
	y42bContacto_ResetearComboProvincia();
	$("#y42bContactoComboProvincia").rup_combo({
		source : "/y42bVistaWar/nora/provinciasTodas",
		blank : "",
		sourceParam : {	label : "dsO", value : "id"	},
		width:"250",
		select:function(){
			y42bLimpiarNoraCP();
			y42bLimpiarNoraMunLoc();
			y42bLimpiarBusquedaCalle();
			y42bLimpiarComplemento();
			$("#noraProvinciaId").val($("#y42bContactoComboProvincia").val());
			$("#nombreProvincia").val( $('#y42bContactoComboProvincia option:selected').html());
			y42bCodigoProvincia = $("#y42bContactoComboProvincia").val();
			y42bElementosVisibles(y42bCodigoProvincia);
		}	
	});	
}

/* Combo municipio NORA */
function y42bContacto_ResetearComboMunicipio(){
	$("#y42bContactoComboMunicipio-button").remove();
	$("#y42bContactoComboMunicipio-menu").remove();
	$('<select id="y42bContactoComboMunicipio" name="municipioId"></select>').replaceAll("#y42bContactoComboMunicipio");
}

function y42bFunContacto_PintarComboMunicipio(){
	y42bContacto_ResetearComboMunicipio();

	$("#y42bContactoComboMunicipio").rup_combo({
		parent: [ "y42bContactoComboProvincia" ],
		source : "/y42bVistaWar/nora/municipios",
		blank : "",
		width:"250",
		sourceParam : {	label : "dsO",	value : "id"},
		select:function(){
			y42bLimpiarNoraCP();
			y42bLimpiarNoraLocalidad();
			y42bLimpiarBusquedaCalle();
			$("#noraMunicipioId").val($("#y42bContactoComboMunicipio").val());
			$("#nombreMunicipio").val( $('#y42bContactoComboMunicipio option:selected').html());
			y42bCodigoProvincia = $("#y42bContactoComboProvincia").val();
			y42bElementosVisibles(y42bCodigoProvincia);
		}
	});
}
/* Combo localidad NORA */
function y42bContacto_ResetearComboLocalidad(){
	$("#y42bContactoComboLocalidad-button").remove();
	$("#y42bContactoComboLocalidad-menu").remove();
	$('<select id="y42bContactoComboLocalidad" name="localidadId"></select>').replaceAll("#y42bContactoComboLocalidad");
}

function y42bFunContacto_PintarComboLocalidad(){
	y42bContacto_ResetearComboLocalidad();
	$("#y42bContactoComboLocalidad").rup_combo({
		parent: [ "y42bContactoComboProvincia", "y42bContactoComboMunicipio" ],
		source : "/y42bVistaWar/nora/localidades",
		blank : "",
		width:"250",
		sourceParam : {	label : "dsO", value : "id"	},
		select:function(){
			$("#noraLocalidadId").val($("#y42bContactoComboLocalidad").val());
			$("#nombreLocalidad").val( $('#y42bContactoComboLocalidad option:selected').html());
		}
	});
}

//funciones limpiar /////////////////////////////////// 
function y42bLimpiarNoraCP(){
	$("#y42bContactoComboCP").val("");
}

function y42bLimpiarNoraMunLoc(){
	y42bLimpiarNoraMunicipio();
	y42bLimpiarNoraLocalidad();
}

function y42bLimpiarNoraMunicipio(){
	$("#y42bContactoComboMunicipio").rup_combo("setRupValue","");
}

function y42bLimpiarNoraLocalidad(){
	$("#y42bContactoComboLocalidad").rup_combo("setRupValue","");
}

function y42bLimpiarBusquedaCalle(){
	$("#y42bContactoCalleCod").val("");
	$("#y42bContactoCalleIdName").val("");
	y42bLimpiarPortal();
	y42bLimpiarComplemento();
}

function y42bLimpiarComplemento(){
	//alert("limpio complemento direccion");
	$("#y42bContactoPiso").val("");
}
function y42bLimpiarPortal(){
	y42bResetearComboPortal();
	y42bPintarComboPortalVacio();
}


/* ****************************************************************************************************
* Funcion que recoge la informacio de la modal de busqueda de calles y la pasa a la pantalla llamante
* ****************************************************************************************************
*/	
function y42bFunctionBusquedaCalleModalAPadreContacto(id,dsO,tipoViaId){
	$("#y42bContactoCalleCod").val(id);
	$("#y42bContactoCalleIdName").val(tipoViaId+" "+dsO);
	$("#y42bEntidadDivCalle").rup_dialog("close");
	y42bFuncCargarComboPortalCon($("#y42bContactoComboLocalidad").val(),id);
}

//Elementos visibles de nora estado, si CAPV o no CAPV
function y42bElementosVisibles(codigoProvincia){
	if(codigoProvincia == "20" || codigoProvincia == "48" || codigoProvincia == "01"){
		$(".y42b-NoraDireccionEuskadi").css("display", "block");
		$(".y42b-NoraDireccionOtras").css("display", "none");
		$("#y42bEstMantenimienBotonCP").css("display", "inline");
	}else{
		$(".y42b-NoraDireccionEuskadi").css("display", "none");
		$(".y42b-NoraDireccionOtras").css("display", "block");
		$("#y42bEstMantenimienBotonCP").css("display", "none");	
	}
}

//Combo Portal
function y42bFuncCargarComboPortalCon(pLocalidadId, pCalleId){
	y42bResetearComboPortal();
	y42bPintarComboPortalCon(pLocalidadId, pCalleId);
}

function y42bResetearComboPortal(){
	$("#y42bContactoComboPortal-button").remove();
	$("#y42bContactoComboPortal-menu").remove();
	$('<select id="y42bContactoComboPortal" name="portalId"></select>').replaceAll("#y42bContactoComboPortal");
}

function y42bPintarComboPortalVacio(){
	y42bResetearComboPortal();
	$("#y42bContactoComboPortal").rup_combo({
		blank : "0",
		width: "250",
		source : []
	});
}

function y42bPintarComboPortalCon(pLocalidadId, pCalleId){
	y42bResetearComboPortal();
	$("#y42bContactoComboPortal").rup_combo({ 
		source : "/y42bVistaWar/nora/portales?localidadId="+pLocalidadId+"&calleId="+ pCalleId  + "&R01HNoPortal=true",
		blank : "",
		ordered:false,
		sourceParam : {	label : "portal", value : "id"},
		select:function(){
			y42bContactoBuscarCodigoPostal($("#y42bContactoComboPortal").val());
		},
		width:"250"
	});
}

function y42bContactoBuscarCodigoPostal(portalId){
	if(portalId != ""){
		$.ajax({
			type : "GET",
			url : "/y42bVistaWar/nora/codigo_postal/" + portalId + "?R01HNoPortal=true",
			dataType : "json",
			error : function(jqXHR, textStatus, errorThrown) {
			},
			success : function(data, textStatus, jqXHR) {
				$("#y42bContactoComboCP").val(data.codigoPostal);	
			}
		});
	}else{
		$("#y42bContactoComboCP").val("");
	}
}


function contactosShowEtiquetas(params){
	//alert("-->"+$("#contactoEtiquetasIdList").val());
	y42bVar_FormChanged = true;
	$("#capaEtiquetas").rup_dialog({
		width: "600",
		modal: true,
		resizable: false,
		url: "/y42bVistaWar/etiqueta/vistaContacto" + params + "&etiquetasIdList="+$("#contactoEtiquetasIdList").val(),
		type:$.rup.dialog.AJAX,
		autoOpen: true,
		close:function(event, ui){
//			url="/y42bVistaWar/etiqueta/maint";
//			$('#tab_etiqueta').load(url);
		}
	});
}


function y42bContactosSoloConsulta(){
	$("#contacto_nombre").attr("readonly", "readonly");
	$("#contacto_nombre").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#contacto_cargo").attr("readonly", "readonly");
	$("#contacto_cargo").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#y42bContactoEstado").attr("disabled", "disabled");
	$("#y42bContactoExtranjero").attr("disabled", "disabled");
	$("#y42bContactoComboCP").attr("readonly", "readonly");
	$("#y42bContactoComboCP").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});
	$("#y42bContactoComboProvincia-menu").remove();
	$("#y42bContactoComboMunicipio-menu").remove();
	$("#y42bContactoComboLocalidad-menu").remove();
	$("#y42bContactoBotonCP").hide();
	$("#y42bContactoCalleLupa").hide();
	$("#y42bContactoCallePapelera").hide();
	$("#y42bContactoComboPortal-menu").remove();
	$("#y42bContactoPiso").attr("readonly", "readonly");
	$("#y42bContactoPiso").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#contacto_telefono").attr("readonly", "readonly");
	$("#contacto_telefono").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#contacto_fax").attr("readonly", "readonly");
	$("#contacto_fax").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#contacto_email").attr("readonly", "readonly");
	$("#contacto_email").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#contacto_url").attr("readonly", "readonly");
	$("#contacto_url").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#contactos_bt_editar_etiquetas").hide();
	$("#bt_eliminar_contacto").hide();
	$("#bt_guardar_contacto").hide();
	//$("#bt_cancelar_contacto").hide();
	$("#y42bContactoExtComboCP").attr("readonly", "readonly");
	$("#y42bContactoExtComboCP").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#y42bContactoComboPais-menu").remove();
	$("#y42bContactoDireccionExtranjero").attr("readonly", "readonly");
	$("#y42bContactoDireccionExtranjero").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#etiquetas").attr("readonly", "readonly");
	$("#etiquetas").css({'background-color':'#EBE8E9','border-color':'#EBE8E9','border-style':'solid'});	
	$("#y42bVistaWar_menu-2").hide();
}
